Adding TLS1.1 support to Windows 7

If you are using Windows 7 and are unable to access Immersive Terf® your systems does not support the latest SSL (TLS) updates from Microsoft.  The PCI Data Security Standard (PCI DSS) has set a deadline of June 2018 for disabling older versions of SSL and TLS 1.0.  Although we don’t process financial transactions on our site we do keep up with encryption standards and we have disabled TLS 1.0 to ensure that Immersive Terf® is secure!

You can update your Windows 7 by following the instructions here:

https://support.microsoft.com/en-us/help/3140245/update-to-enable-tls-1-1-and-tls-1-2-as-a-default-secure-protocols-in

There are two steps to install support for TLS 1.1 and TLS 1.2.

The first is the HotFix: http://www.catalog.update.microsoft.com/search.aspx?q=kb3140245

The second is the Registry update.  See the Microsoft instructions (link above) and search for “Easy Fix” to find the Download button. 

Once both these two steps are completed, 1) apply the HotFix 2) update the Registry using the Easy Fix, you should be able to access Immersive Terf® again.

Immersive Terf is not the only program you will have issues with once providers start disabling TLS 1.0 so this is a good thing for you to do to avoid problems in the future.